
-- love callbacks {{{
function love.load( arg )
	love.mouse.setVisible( false )
	w, h = love.graphics.getDimensions()
	winmindim = math.min( w, h )
	require"slides"
	love.graphics.setLineWidth( 4 )
	--setSlide( tonumber( (arg[2]:gsub(".-/?(%d+).lua","%1")) ) or 1 )
	love.graphics.setBackgroundColor( 0, 0, 110 )

	title = love.graphics.newFont( "Aller_Bd.ttf", h/10 )
	font = love.graphics.newFont( "Aller_Rg.ttf", h/16 )
	what = love.graphics.newFont( "Aller_Rg.ttf", h/16 )
	smallfont = love.graphics.newFont( "Aller_Rg.ttf", h/20 )
	code = love.graphics.newFont( "Monoid-Regular.ttf", h/30 )

	fontHeight, smallfontHeight = font:getHeight(), smallfont:getHeight()
	charWidth, charHeight = code:getWidth"e", code:getHeight()
end

function love.update( dt )
	state.update( dt )
end

function love.draw()
	state.draw()
end
-- }}}

-- keyboard handling {{{
function love.keypressed( k )
	if k=="escape" then  return love.event.quit()  end
	local action = state.keys[k]
	if action then  return action()  end
end
-- }}}

-- vim: set fdm=marker :
