
function init()
	lua = love.graphics.newFont( "AllerDisplay.ttf", h/6 )
	fo  = love.graphics.newFont( "AllerDisplay.ttf", h/12 )
	gam = love.graphics.newFont( "AllerDisplay.ttf", h/8 )
	keys = {
		right = nextSlide,
	}
end

t = 0
function update( dt )
	t = t + dt
end

function draw()
	love.graphics.push()
	love.graphics.translate( 0, h*0.06 )
	love.graphics.setColor( 128, 128, 128 )
	love.graphics.circle( "line", w/2, h*2/5, h/4*1.4 )
	love.graphics.setColor( 0, 0, 110 )
	love.graphics.circle( "fill", w/2 + h/4*1/math.sqrt( 2 )*1.4, h*2/5 - h/4*1/math.sqrt( 2 )*1.4, h/16 )
	love.graphics.setLineWidth( 20 )
	for i=1, 32 do
		love.graphics.line( w/2, h*2/5, w/2 + math.sin( t/16 + i/32*2*math.pi )*h/4*1.5, h*2/5 + math.cos( t/16 + i/32*2*math.pi )*h/4*1.5 )
	end
	love.graphics.setLineWidth( 4 )
	love.graphics.setColor( 255, 255, 255 )
	love.graphics.circle( "line", w/2, h*2/5, h/4 )
	--love.graphics.circle( "line", w/2, h*2/5, h/4*0.6 )
	love.graphics.circle( "fill", w/2 + h/4*1/math.sqrt( 2 )*0.6, h*2/5 - h/4*1/math.sqrt( 2 )*0.6, h/16 )
	love.graphics.circle( "line", w/2 + h/4*1/math.sqrt( 2 )*0.6, h*2/5 - h/4*1/math.sqrt( 2 )*0.6, h/16 )
	--love.graphics.circle( "line", w/2 + h/4*1/math.sqrt( 2 ), h*2/5 - h/4*1/math.sqrt( 2 ), h/4*0.4 )
	love.graphics.circle( "line", w/2 + h/4*1/math.sqrt( 2 )*1.4, h*2/5 - h/4*1/math.sqrt( 2 )*1.4, h/16 )
	love.graphics.translate( 0, -h*0.1 )
	love.graphics.setFont( lua )
	love.graphics.print( "Lua", w/6, h/4 )
	love.graphics.setFont( fo )
	love.graphics.print( "For", w/6, h*0.55 )
	love.graphics.setFont( gam )
	love.graphics.print( "Game Programming", w/6, h*3/4 )
	love.graphics.pop()
end
