
function init()
	keys = {
		left = lastSlide,
		right = nextSlide,
	}
end

function update( dt )
end

function draw()
	love.graphics.setFont( title )
	love.graphics.print( "Tables", w/10, h/8 )
	love.graphics.print( "=>", w*0.42, h*0.55 )
	love.graphics.setFont( code )
	love.graphics.setColor( 0, 0, 0 )
	love.graphics.rectangle( "fill", w/10 - 3*charWidth, h/3, code:getWidth[[ elseif key=="right" then ]], 13*charHeight )
	love.graphics.setColor( 255, 255, 255 )
	love.graphics.print( [[if key=="escape" then]],    w/10 - 2*charWidth, h/3 +    charHeight)
	love.graphics.print( "	<...>",                    w/10 - 2*charWidth, h/3 + 2* charHeight )
	love.graphics.print( [[elseif key=="left" then]],  w/10 - 2*charWidth, h/3 + 3* charHeight )
	love.graphics.print( "	<...>",                    w/10 - 2*charWidth, h/3 + 4* charHeight )
	love.graphics.print( [[elseif key=="right" then]], w/10 - 2*charWidth, h/3 + 5* charHeight )
	love.graphics.print( "	<...>",                    w/10 - 2*charWidth, h/3 + 6* charHeight )
	love.graphics.print( [[elseif key=="up" then]],    w/10 - 2*charWidth, h/3 + 7* charHeight )
	love.graphics.print( "	<...>",                    w/10 - 2*charWidth, h/3 + 8* charHeight )
	love.graphics.print( [[elseif key=="down" then]],  w/10 - 2*charWidth, h/3 + 9* charHeight )
	love.graphics.print( "	<...>",                    w/10 - 2*charWidth, h/3 + 10*charHeight )
	love.graphics.print( "end",                        w/10 - 2*charWidth, h/3 + 11*charHeight )

	love.graphics.setColor( 0, 0, 0 )
	love.graphics.rectangle( "fill", w/2 + w/20 - 3*charWidth, h/3, code:getWidth" 	escape = function() <...> end, ", 13*charHeight )
	love.graphics.setColor( 255, 255, 255 )
	love.graphics.print( "keys = {",                         w/2 + w/20 - 2*charWidth, h/3 +    charHeight )
	love.graphics.print( "	escape = function() <...> end,", w/2 + w/20 - 2*charWidth, h/3 + 2* charHeight )
	love.graphics.print( "	left   = function() <...> end,", w/2 + w/20 - 2*charWidth, h/3 + 3* charHeight )
	love.graphics.print( "	right  = function() <...> end,", w/2 + w/20 - 2*charWidth, h/3 + 4* charHeight )
	love.graphics.print( "	up     = function() <...> end,", w/2 + w/20 - 2*charWidth, h/3 + 5* charHeight )
	love.graphics.print( "	down   = function() <...> end,", w/2 + w/20 - 2*charWidth, h/3 + 6* charHeight )
	love.graphics.print( "}",                                w/2 + w/20 - 2*charWidth, h/3 + 7* charHeight )

	love.graphics.print( "local action = keys[key]",         w/2 + w/20 - 2*charWidth, h/3 + 9* charHeight )
	love.graphics.print( "if action then  action()  end",    w/2 + w/20 - 2*charWidth, h/3 + 10*charHeight )
end

